none
visual studio 2015 必須コンポーネントに .NET Framework 4.6.2がない RRS feed

  • 質問

  • Visual Studio 2015で開発したアプリケーションのインストラーの設定を行っています。

    対象のフレームワークで .NET Framework 4.6.2 を指定しているので、発行時の必須コンポーネントに

    .NET Framework 4.6.2を含めたいのですが、必須コンポーネントの一覧にありません。

    必須コンポーネントの一覧に追加して表示する方法はありますでしょうか?

    設定方法をご教示いただければと思います。

    2021年4月27日 1:12

回答

  • "C:\Program Files (x86)\Microsoft SDKs\Windows\v8.1A\Bootstrapper\Packages\DotNetFX462"がないなら、"C:\Program Files (x86)\Microsoft SDKs\ClickOnce Bootstrapper\Packages\DotNetFX462"からコピーしてみてください。

    "C:\Program Files (x86)\Microsoft SDKs\ClickOnce Bootstrapper\Packages\DotNetFX462"もないならVS2017やVS2019を入れると入るかもしれない。

    #手元にあるのが2013/2017/2019しか入っていない環境なので2015だとどうだったか覚えてない


    個別に明示されていない限りgekkaがフォーラムに投稿したコードにはフォーラム使用条件に基づき「MICROSOFT LIMITED PUBLIC LICENSE」が適用されます。(かなり自由に使ってOK!)

    2021年4月27日 4:02

すべての返信

  • "C:\Program Files (x86)\Microsoft SDKs\Windows\v8.1A\Bootstrapper\Packages\DotNetFX462"がないなら、"C:\Program Files (x86)\Microsoft SDKs\ClickOnce Bootstrapper\Packages\DotNetFX462"からコピーしてみてください。

    "C:\Program Files (x86)\Microsoft SDKs\ClickOnce Bootstrapper\Packages\DotNetFX462"もないならVS2017やVS2019を入れると入るかもしれない。

    #手元にあるのが2013/2017/2019しか入っていない環境なので2015だとどうだったか覚えてない


    個別に明示されていない限りgekkaがフォーラムに投稿したコードにはフォーラム使用条件に基づき「MICROSOFT LIMITED PUBLIC LICENSE」が適用されます。(かなり自由に使ってOK!)

    2021年4月27日 4:02
  • Visual Studio2017の入っている環境から"DotNetFX462"をコピーしたところうまくできました。

    ありがとうございました!

    2021年4月27日 4:15
  • つぐたさん、こんにちは。フォーラムオペレーターのHarukaです。
    MSDNフォーラムにご投稿くださいましてありがとうございます。

    本件、gekkaさんより参考になる投稿が寄せられたようでなによりです。

    [回答としてマーク]機能は設定された投稿が後から参照しやすくなりますので、
    同じ問題でお困りの方のためにも参考になった投稿に設定いただけますと幸いです。

    ご協力の程、どうぞよろしくお願いいたします。

    MSDN/ TechNet Community Support Haruka
    ~参考になった投稿には「回答としてマーク」をご設定ください。なかった場合は「回答としてマークされていない」も設定できます。同じ問題で後から参照した方が、情報を見つけやすくなりますので、 ご協力くださいますようお願いいたします。また、MSDNサポートに賛辞や苦情がある場合は、MSDNFSF@microsoft.comまでお気軽にお問い合わせください。~

    2021年4月29日 1:06
    モデレータ